{ lib, inputs, ... }:

let
  /*
  importOverlays = builtins.map
    (overlay: import overlay { inherit lib inputs; })
    (builtins.filter 
      (file: builtins.match ".*\.nix" (builtins.toString file) != null)
      (lib.filesystem.listFilesRecursive ../../../overlays));
  */
  /*
  importOverlays =
    (builtins.filter 
      (file: builtins.match ".*\.nix" (builtins.toString file) != null)
      (lib.filesystem.listFilesRecursive ../../../overlays));
  */
  a = builtins.trace (lib.filesystem.listFilesRecursive ../../../overlays) null;
in {
  nix = {
    settings = {
      auto-optimise-store = true;
      use-xdg-base-directories = true;
      trusted-users = [ "@wheel" ];
      allowed-users = [ "@wheel" ];
    };
    extraOptions = ''
      experimental-features = nix-command flakes
    '';
  };
  b = a;
  nixpkgs = {
    config = {
      allowUnfree = true;
    };
    hostPlatform = lib.mkDefault "x86_64-linux";
    overlays = [];
  };
}
